# NodeChecker.Result (ARX Developer Documentation)

org.deidentifier.arx.framework.check

## Class NodeChecker.Result

- java.lang.Object
- - org.deidentifier.arx.framework.check.NodeChecker.Result

- Enclosing class:
    NodeChecker

      public static class NodeChecker.Result
      extends java.lang.Object

  The result of a check.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `InformationLoss<?>` | `informationLoss` Information loss.
    `InformationLoss<?>` | `lowerBound` Lower bound.
    `java.lang.Boolean` | `minimalClassSizeFulfilled` k-Anonymity sub-criterion.
    `java.lang.Boolean` | `privacyModelFulfilled` Overall anonymity.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### privacyModelFulfilled

          public final java.lang.Boolean privacyModelFulfilled

      Overall anonymity.

    - #### minimalClassSizeFulfilled

          public final java.lang.Boolean minimalClassSizeFulfilled

      k-Anonymity sub-criterion.

    - #### informationLoss

          public final InformationLoss<?> informationLoss

      Information loss.

    - #### lowerBound

          public final InformationLoss<?> lowerBound

      Lower bound.